<?php

namespace Litecms\Team\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TeamTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Team\Models\Team $team)
    {
        return [
            'id'                => $team->getRouteKey(),
            'key'               => [
                'public'    => $team->getPublicKey(),
                'route'     => $team->getRouteKey(),
            ], 
            'team_id'           => $team->team_id,
            'name'              => $team->name,
            'code'              => $team->code,
            'logo'              => $team->logo,
            'league_id'         => $team->league_id,
            'status'            => $team->status,
            'min_bet'           => $team->min_bet,
            'max_bet'           => $team->max_bet,
            'bet_ratio'         => $team->bet_ratio,
            'bet_close_date'    => $team->bet_close_date,
            'bet_open_date'     => $team->bet_open_date,
            'url'               => [
                'public'    => trans_url('team/'.$team->getPublicKey()),
                'user'      => guard_url('team/team/'.$team->getRouteKey()),
            ], 
            'status'            => trans('app.'.$team->status),
            'created_at'        => format_date($team->created_at),
            'updated_at'        => format_date($team->updated_at),
        ];
    }
}